{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.calibre;
in
{
  options.marleyos.programs.calibre.enable = mkEnableOption "calibre";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      calibre
    ];
  };
}
